FROM node:24-alpine AS build

WORKDIR /app

COPY package*.json ./
RUN npm ci

COPY . .
ARG SITE_URL
ARG COOLIFY_URL
ENV SITE_URL=${SITE_URL}
ENV COOLIFY_URL=${COOLIFY_URL}
RUN npm run build

FROM nginx:alpine

COPY nginx.conf /etc/nginx/conf.d/default.conf
COPY --from=build /app/dist /usr/share/nginx/html

EXPOSE 80
